QCA::OpenPGP Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::OpenPGP:
[legend]

## Public Member Functions

| OpenPGP (QObject *parent=nullptr, const QString &provider=QString())
Public Member Functions inherited from QCA::Algorithm
| Algorithm (const Algorithm &from)
void | change (const QString &type, const QString &provider)
void | change (Provider::Context *c)
Provider::Context * | context ()
const Provider::Context * | context () const
Algorithm & | operator= (const Algorithm &from)
Provider * | provider () const
Provider::Context * | takeContext ()
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::SecureMessageSystem
| SecureMessageSystem (QObject *parent, const QString &type, const QString &provider)
Protected Member Functions inherited from QCA::Algorithm
| Algorithm ()
| Algorithm (const QString &type, const QString &provider)

## Detailed Description

Pretty Good Privacy messaging system.

See also
  SecureMessage
  SecureMessageKey

## Constructor & Destructor Documentation

## OpenPGP()

QCA::OpenPGP::OpenPGP | ( | QObject * | parent = nullptr,
|  | const QString & | provider = QString() )

explicit

Standard constructor.

Parameters

  parent | the parent object for this object
  provider | the provider to use, if a specific provider is required

References OpenPGP(), and QCA::Algorithm::provider().

Referenced by OpenPGP().

The documentation for this class was generated from the following file:

- qca_securemessage.h